name: predefinedBlock
type: object
meta:
    label:
        de: Vordefinierter Block
        en: Predefined Block
    dependsOn:
        eval: |
            (function() {
                return $parent?.type === 'predefinedBlock'
            })()
subFields:
    - name: id
      type: string
      meta:
          label:
              de: Inhalt
              en: Include
          widget: foreignKey
          foreign:
              collection: content
              id: id
              subNavigation: 0
              render:
                  eval: |
                      (function() {
                          return $foreignEntry?.name || $foreignEntry?.id
                      })()
